Author Topic: Scribus on ArcaOS  (Read 1119 times)

Neil Waldhauer

  • Hero Member
  • *****
  • Posts: 815
  • Karma: +21/-0
    • View Profile
    • Blonde Guy
Scribus on ArcaOS
« on: March 21, 2022, 03:33:34 pm »
I'm trying to install Scribus again, but the environment is ArcaOS and rpm/yum, so a lot of the ways the prerequisites are fulfilled have changed.

At this point the Scribus splash screen shows for a moment, then disappears.

I have all the prerequisites mentioned in the readme.os2. I have two local DLL files that perhaps should not be there.

fntcfg2.dll
freetyp2.dll

https://downloads.sourceforge.net/project/scribus/scribus/1.4.5/scribus-1.4.5-os2ecs.zip

I have tried Scribus 1.4.4 as well, but it fails the same way.

I don't see any error message or log file. PMDLL says I can load everything.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

TeLLie

  • Full Member
  • ***
  • Posts: 127
  • Karma: +3/-0
    • View Profile
Re: Scribus on ArcaOS
« Reply #1 on: March 21, 2022, 05:42:07 pm »
Hi
Did you try the rpm package 1.4.6 ?

Jan-Erik Lärka

  • Global Moderator
  • Full Member
  • *****
  • Posts: 238
  • Karma: +3/-0
    • View Profile
Re: Scribus on ArcaOS
« Reply #2 on: March 21, 2022, 06:02:17 pm »
I run "Scribus v1.4.4 compiled for OS/2 & eCS" here on ArcaOS 5.0.7
anpm libraries updated as available and may ahve removed some fonts that may not play well.

The splash screen should list what the application try to load.
Does it dissapear on "Loading fonts" or perhaps something after that?

Neil Waldhauer

  • Hero Member
  • *****
  • Posts: 815
  • Karma: +21/-0
    • View Profile
    • Blonde Guy
Re: Scribus on ArcaOS
« Reply #3 on: March 21, 2022, 06:47:22 pm »
Hi
Did you try the rpm package 1.4.6 ?

Where is that located?

I run "Scribus v1.4.4 compiled for OS/2 & eCS" here on ArcaOS 5.0.7
anpm libraries updated as available and may ahve removed some fonts that may not play well.

The splash screen should list what the application try to load.
Does it dissapear on "Loading fonts" or perhaps something after that?

The splash screen disappears before "Loading fonts" or any other text.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3559
  • Karma: +34/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Scribus on ArcaOS
« Reply #4 on: March 21, 2022, 06:50:21 pm »
Hi

I'm trying to install scribus with "yum install scribus", but I got some RPM errors. I got "netlabs-exp" configured.
(I did a "yum install scribus 2>&1 | tee out.log" to get the log)

Code: [Select]
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package scribus.pentium4 0:1.4.6-3.oc00 will be installed
--> Processing Dependency: tkinter for package: scribus-1.4.6-3.oc00.pentium4
--> Running transaction check
---> Package python3-tkinter.pentium4 0:3.9.5-8.oc00 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch          Version              Repository        Size
================================================================================
Installing:
 scribus              pentium4      1.4.6-3.oc00         netlabs-exp       43 M
Installing for dependencies:
 python3-tkinter      pentium4      3.9.5-8.oc00         netlabs-exp      478 k

Transaction Summary
================================================================================
Install       2 Packages

Total download size: 43 M
Installed size: 43 M
Is this ok [y/N]:

And the errors
Code: [Select]
http://www.2rosenthals.com/rpm.netlabs.org/experimental/00/i386/pentium4/python3-tkinter-3.9.5-8.oc00.pentium4.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=netlabs-exp clean metadata
Trying other mirror.
Traceback (most recent call last):
  File "C:\USR\BIN\YUM", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/@unixroot/usr/share/yum-cli/yummain.py", line 288, in user_main
    errcode = main(args)
  File "/@unixroot/usr/share/yum-cli/yummain.py", line 223, in main
    return_code = base.doTransaction()
  File "/@unixroot/usr/share/yum-cli/cli.py", line 500, in doTransaction
    problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb)
  File "/@unixroot/usr/lib/python2.7/site-packages/yum/__init__.py", line 2027, in downloadPkgs
    cache=po.repo.http_caching != 'none',
  File "/@unixroot/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 866, in getPackage
    size=package.size,
  File "/@unixroot/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 838, in _getFile
    size=size
  File "/@unixroot/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 448, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/@unixroot/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 425, in _mirror_try
    return func_ref( *(fullurl,), opts=opts, **kw )
  File "/@unixroot/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1172, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/@unixroot/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1064, in _retry
    r = apply(func, (opts,) + args, {})
  File "/@unixroot/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1166, in retryfunc
    _run_callback(opts.checkfunc, obj)
  File "/@unixroot/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1032, in _run_callback
    return cb(obj, *arg, **karg)
  File "/@unixroot/usr/lib/python2.7/site-packages/yum/__init__.py", line 1891, in verifyPkg
    os.unlink(fo)
OSError: [Errno 13] Permission denied: '/@unixroot/var/cache/yum/netlabs-exp/packages/python3-tkinter-3.9.5-8.oc00.pentium4.rpm'

I did a "yum --enablerepo=netlabs-exp clean metadata" as suggested but it did not change the error.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

TeLLie

  • Full Member
  • ***
  • Posts: 127
  • Karma: +3/-0
    • View Profile
Re: Scribus on ArcaOS
« Reply #5 on: March 21, 2022, 08:15:25 pm »
Hi Martin

I just try to install scribus with rpm, and it installed fine.
[yum install scribus]

Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package scribus.pentium4 0:1.4.6-3.oc00 will be installed
--> Processing Dependency: tkinter for package: scribus-1.4.6-3.oc00.pentium4
--> Running transaction check
---> Package python3-tkinter.pentium4 0:3.9.5-8.oc00 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch          Version              Repository        Size
================================================================================
Installing:
 scribus              pentium4      1.4.6-3.oc00         netlabs-exp       43 M
Installing for dependencies:
 python3-tkinter      pentium4      3.9.5-8.oc00         netlabs-exp      478 k

Transaction Summary
================================================================================
Install       2 Packages

Total download size: 43 M
Installed size: 43 M
Is this ok [y/N]: Downloading Packages:
--------------------------------------------------------------------------------
Total                                           3.0 MB/s |  43 MB     00:14     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.


Dave Yeo

  • Hero Member
  • *****
  • Posts: 3562
  • Karma: +75/-0
    • View Profile
Re: Scribus on ArcaOS
« Reply #6 on: March 21, 2022, 08:34:37 pm »
I've got a few of the permission denied errors for other packages, it is weird. Sometimes unlocking the file manually will work around it, or moving it out of the way. In ANPM, you can right click the package to get a list of the contents.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3559
  • Karma: +34/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Scribus on ArcaOS
« Reply #7 on: March 21, 2022, 10:00:27 pm »
Hi

I don't know what I did (the story of my life), but now ANPM allowed me to install Scribus.

I tried a "yum update" and I also got errors, I went package by package on ANPM and updated they individually. I found an issue on "heimdal-libs" that wanted to be updated to pentium4 but heimdal was on i386. I skipped that for the moment and later it allowed me to install scribus... I'm not sure what was the trick.

It is working for me.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Neil Waldhauer

  • Hero Member
  • *****
  • Posts: 815
  • Karma: +21/-0
    • View Profile
    • Blonde Guy
Re: Scribus on ArcaOS
« Reply #8 on: March 22, 2022, 03:05:23 am »
Hi
Did you try the rpm package 1.4.6 ?

Where is that located?


Apparently it is in netlabs-exp

I enabled netlaps-exp and installed scribus. it fails on the splash screen loading a plugin. The screen disappears before I can read any more details.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Paul Smedley

  • Hero Member
  • *****
  • Posts: 959
  • Karma: +92/-0
    • View Profile
Re: Scribus on ArcaOS
« Reply #9 on: March 22, 2022, 09:23:54 am »
Anything in popuplog.os2?

Neil Waldhauer

  • Hero Member
  • *****
  • Posts: 815
  • Karma: +21/-0
    • View Profile
    • Blonde Guy
Re: Scribus on ArcaOS
« Reply #10 on: March 22, 2022, 02:31:15 pm »
Sometimes I forget the obvious: Popuplog.OS2 is full of Scribus entries.

03-20-2022  17:03:09  SYS2070  PID 00c9  TID 0001  Slot 0014
F:\PROGRAMS\SCRIBUS\SCRIBUS.EXE
SCRIPTPL->PYTHON27._PyUnicodeUCS2_FromEncodedObject
127
------------------------------------------------------------

03-20-2022  17:06:30  SYS2070  PID 00ce  TID 0001  Slot 007f
F:\PROGRAMS\SCRIBUS\SCRIBUS.EXE
SCRIPTPL->PYTHON27._PyUnicodeUCS2_FromEncodedObject
127
------------------------------------------------------------

03-21-2022  06:41:25  SYS2070  PID 004e  TID 0001  Slot 0041
F:\PROGRAMS\SCRIBUS\SCRIBUS.EXE
SCRIPTPL->PYTHON27._PyUnicodeUCS2_FromEncodedObject
127
------------------------------------------------------------

These entries are from the attempts to run 1.4.4 and 1.4.5. There are no entries for F:\USR\BIN\scribus.exe, which would be 1.4.6.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

TeLLie

  • Full Member
  • ***
  • Posts: 127
  • Karma: +3/-0
    • View Profile
Re: Scribus on ArcaOS
« Reply #11 on: March 22, 2022, 05:52:24 pm »
Hi
Try to rename C:\usr\lib\scribus\plugins\scriptpl.dll and try again
As it seeems you need to update you're python

Neil Waldhauer

  • Hero Member
  • *****
  • Posts: 815
  • Karma: +21/-0
    • View Profile
    • Blonde Guy
Re: Scribus on ArcaOS
« Reply #12 on: March 23, 2022, 05:22:29 am »
I think there are problems updating. Martin mentioned something.

Code: [Select]
Executing: @python2.7 F:\SYS\APPS\ANPM\scripts\yum_update.py
Running Transaction Check
YumRPMCheckError(): [u'ERROR with transaction check vs depsolve:', 'git = 2.30.2-2.oc00 is needed by perl-Git-2.30.2-2.oc00.noarch', 'perl-Git = 2.11.0-4.oc00 is needed by (installed) git-2.11.0-4.oc00.i686', 'git-core = 2.30.2-2.oc00 is needed by git-core-doc-2.30.2-2.oc00.noarch', 'git-core-doc = 2.11.0-4.oc00 is needed by (installed) git-2.11.0-4.oc00.i686', 'qt5-qttools-common = 5.13.1-1.oc00 is needed by (installed) qt5-qttools-5.13.1-1.oc00.i686', 'qt5-qtbase = 5.15.2-1.oc00 is needed by qt5-qtbase-common-5.15.2-1.oc00.noarch', 'qt5-qtbase-common = 5.13.1-1.oc00 is needed by (installed) qt5-qtbase-5.13.1-1.oc00.i686', u'Please report this error at https://github.com/bitwiseworks/rpm-issues']
Error: ERROR with transaction check vs depsolve:git = 2.30.2-2.oc00 is needed by perl-Git-2.30.2-2.oc00.noarchperl-Git = 2.11.0-4.oc00 is needed by (installed) git-2.11.0-4.oc00.i686git-core = 2.30.2-2.oc00 is needed by git-core-doc-2.30.2-2.oc00.noarchgit-core-doc = 2.11.0-4.oc00 is needed by (installed) git-2.11.0-4.oc00.i686qt5-qttools-common = 5.13.1-1.oc00 is needed by (installed) qt5-qttools-5.13.1-1.oc00.i686qt5-qtbase = 5.15.2-1.oc00 is needed by qt5-qtbase-common-5.15.2-1.oc00.noarchqt5-qtbase-common = 5.13.1-1.oc00 is needed by (installed) qt5-qtbase-5.13.1-1.oc00.i686Please report this error at https://github.com/bitwiseworks/rpm-issues
YumRPMCheckError()
Return code: 0
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Neil Waldhauer

  • Hero Member
  • *****
  • Posts: 815
  • Karma: +21/-0
    • View Profile
    • Blonde Guy
Re: Scribus on ArcaOS
« Reply #13 on: March 25, 2022, 04:10:48 am »
Abandoning Scribus rpm until it migrates to rel.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com